<?php

namespace WeDevs\AppBridge\Integrations\WooCommerce;

use WeDevs\AppBridge\Core\AbstractLicenseManager;

class LicenseManager extends AbstractLicenseManager {

	protected function appsero_hash_id(): string {
		return 'b942198a-0c90-47db-92b3-8551052e6c72';
	}

	protected function plugin_name(): string {
		return 'Pocket Store';
	}

	protected function plugin_file(): string {
		return APP_BRIDGE_FILE;
	}

	protected function option_key(): string {
		return 'pocket_store_license';
	}

	protected function license_page_url(): string {
		return admin_url( 'admin.php?page=app-bridge&settings_page=license' );
	}

	protected function get_mobile_app_name(): string {
		return 'pocket-store';
	}
}
